Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Look up an entity by its stock ticker symbol
curl "https://worker.rushed.com.br/api/entities/by-ticker/PETR4" \ -H "X-API-Key: rsh_live_xxxxxxxxxxxx"
const res = await fetch( 'https://worker.rushed.com.br/api/entities/by-ticker/PETR4', { headers: { 'X-API-Key': 'rsh_live_xxxxxxxxxxxx' } } ); const { data } = await res.json(); console.log(data.canonicalName); // "Petrobras"
{ "success": true, "data": { "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890", "entityType": "COMPANY", "canonicalName": "Petrobras", "aliases": ["Petroleo Brasileiro S.A.", "PETR"], "ticker": "PETR4", "cnpj": "33.000.167/0001-01", "createdAt": "2024-11-15T10:30:00Z" } }
{ "success": false, "error": "Not found", "statusCode": 404 }
PETR4
VALE3
BBDC4